Instalando rmagick no OS X 10.8 e ruby ‚Äč‚Äč1.9.3

Isso é principalmente um problema devido às mudanças no imagemagick 6.8, que agora é instalado pelo homebrew por padrão. Este é o procedimento que usei para instalar o rmagick. Rmagick 2.13.2 tem algumas mudanças para compatibilidade 6.8 que ajudam a consertar a compilação de extensão, mas eu também encontrei problemas adicionais com libtool dylibs não existentes para a arquitetura especificada.

brew update
brew uninstall imagemagick

brew install imagemagick

brew install libtool
--universal
brew link libtool
--force

gem install rmagick
--version=2.13.2

A reinstala√ß√£o de imagemagick pode n√£o ser necess√°ria, mas achei a vincula√ß√£o for√ßada de libtool necess√°ria para vers√Ķes de imagemagick 6.8+